#!/usr/bin/python
if __name__ == '__main__':
  import sys
  import os
  sys.path.insert(0, os.path.abspath('config'))
  import configure
  configure_options = [
    '--COPTFLAGS=-O3',
    '--CXXOPTFLAGS=-O3',
    '--FOPTFLAGS=-O3',
    '--prefix=/opt/petsc/linux-c-opt',
    '--with-cc=/usr/bin/mpicc',
    '--with-cxx=/usr/bin/mpicxx',
    '--with-fc=/usr/bin/mpifort',
    '--with-hdf5=1',
    '--with-hypre-include=/usr/include/hypre',
    '--with-hypre-lib=/usr/lib/libHYPRE.so',
    '--with-metis=1',
    '--with-mpi-f90module-visibility=0',
    '--with-mumps=1',
    '--with-parmetis=1',
    '--with-petsc4py=1',
    '--with-ptscotch-include=/usr/include',
    '--with-ptscotch-lib=[libesmumps.so,libptscotch.so,libptscotcherr.so,libscotch.so,libscotcherr.so,libbz2.so]',
    '--with-ptscotch=1',
    '--with-scalapack=1',
    '--with-scalar-type=complex',
    '--with-shared-libraries=1',
    '--with-suitesparse-include=/usr/include/suitesparse',
    '--with-suitesparse-lib=[libamd.so,libbtf.so,libcamd.so,libccolamd.so,libcholmod.so,libcolamd.so,libcxsparse.so,libgraphblas.so,libklu.so,libklu_cholmod.so,liblagraph.so,liblagraphx.so,libldl.so,libparu.so,librbio.so,libspex.so,libspqr.so,libsuitesparse_mongoose.so,libsuitesparseconfig.so,libumfpack.so]',
    '--with-suitesparse=1',
    '--with-superlu-include=/usr/include/superlu',
    '--with-superlu-lib=-lsuperlu',
    '--with-superlu=1',
    '--with-superlu_dist-include=/usr/include/superlu_dist',
    '--with-superlu_dist-lib=-lsuperlu_dist',
    '--with-superlu_dist=1',
    '--with-triangle=1',
    '--with-valgrind=1',
    '-march=native',
    'PETSC_ARCH=arch-linux-c-opt',
  ]
  configure.petsc_configure(configure_options)
